package com.reyun.saas.mob.user.service;


import com.reyun.saas.mob.user.domain.User;
import com.reyun.saas.mob.user.domain.UserCoreConfig;
import com.reyun.saas.mob.user.dto.user.UserCoreConfigDTO;

public interface UserCoreConfigService {

    UserCoreConfigDTO findByRootParent(Long rootParent);

    /**
     * 用户审核开通
     */
    void audited(UserCoreConfigDTO inputDTO);

    /**
     * 根据用户查询该用户的 流量套餐/APP数量等核心信息
     * @return
     */
    UserCoreConfig findRootCoreConfig(User user);
}
